<template>
    <div class="breadcrumbs flex aic jcc">
        <div class="breadcrumbs-title">You’re Here:</div>
        <div class="breadcrumbs-items flex aic">
            <template v-for="(breadcrumb, idx) in breadcrumbs">
                <a v-if="breadcrumb.path" :key="'b'+idx" :href="breadcrumb.path" class="item">{{ breadcrumb.name }}</a>
                <span v-else :key="'b'+idx" class="item current">{{ breadcrumb.name }}</span>
            </template>
        </div>
    </div>
</template>


<script>
export default {
    props:{
        breadcrumbs: {
            type:[Array,Object],
            default: () => ({
              name : 'Home'
            })
        }
    },
    methods: {
        isLast(index) {
            return index === this.breadcrumbs.length - 1;
        },
        selected(breadcrumb) {
            this.$emit('selected', breadcrumb);
        },
    },
};
</script>
<!--<script>-->
<!--export default {-->
<!--    name: 'Breadcrumbs',-->
<!--    // props: {-->
<!--    //     breadcrumbs: Object-->
<!--    // },-->
<!--    computed: {-->
<!--        // breadcrumbs() {-->
<!--        //     return this.$route.meta.breadcrumbs.map(() => {-->

<!--        //     });-->
<!--        // }-->
<!--    },-->
<!--    data: () => ({-->
<!--        breadcrumbs: [-->
<!--            {-->
<!--                name: 'Odds Comparison',-->
<!--                path: '#'-->
<!--            },-->
<!--            {-->
<!--                name: 'Football',-->
<!--                path: '#'-->
<!--            },-->
<!--            {-->
<!--                name: 'Next Matches'-->
<!--            }-->
<!--        ],-->
<!--    })-->
<!--}-->
<!--</script>-->
